pfam {bio3d} | R Documentation

## Download Pfam FASTA Sequence Alignment

### Description

Downloads FASTA sequence alignment from the Pfam database.

### Usage

    pfam(id, alignment = "seed", verbose = FALSE)

### Arguments

`id` | the Pfam familiy identifier (e.g ‘Piwi’) or accession (e.g. ‘PF02171’).
`alignment` | the alignment type. Allowed values are: ‘seed’, ‘ncbi’, ‘full’, ‘metagenomics’.
`verbose` | logical, if TRUE details of the download process is printed.

### Details

This is a basic function to download a multiple sequence alignment for a protein family from the Pfam database.

### Value

A ‘fasta’ object with the following components:

`ali` | an alignment character matrix with a row per sequence and a column per equivalent aminoacid/nucleotide.
`ids` | sequence names as identifiers.
`call` | the matched call.

### Note

Full more information on the Pfam database:
http://pfam.xfam.org

### Author(s)

Lars Skjaerven

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`read.fasta`, `hmmer`, `get.seq`, `uniprot`

### Examples

    ## Not run:
    # PFAM server connection required - testing excluded

    aln <- pfam("piwi")
    aln <- pfam("PF02171")

    seq <- get.seq("1rx2_A", outfile = tempfile())
    hmm <- hmmer(seq, type="hmmscan", db="pfam")
    aln <- pfam(hmm$hit.tbl$acc[1])

    # Or much more simply for RCSB PDB entries:
    acc <- pdb.pfam("1rx2_A", compact=FALSE)$pfamAcc
    aln <- pfam(acc)

    ## End(Not run)

[Package bio3d version 2.3-4 Index]